[ubuntu/quantal] pdl 1:2.4.11-4ubuntu1 (Accepted)

Julian Taylor jtaylor at ubuntu.com
Sat Jun 9 14:05:37 UTC 2012


pdl (1:2.4.11-4ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/perldl.conf: Enabled bad-val as NAN

pdl (1:2.4.11-4) unstable; urgency=low

  * fix pdl versioned dep in dh_pdl

pdl (1:2.4.11-3) unstable; urgency=low

  * fix the building of pdl wrapper
  * set -fPIC when compiling fortran extensions

pdl (1:2.4.11-2) unstable; urgency=low

  * fix calls to croak in Lib/GIS/Proj/Proj.pd and IO/GD/GD.pd (croak was
    not called with a format string literal, causing
    -Werror=format-security to abort the compilation)

pdl (1:2.4.11-1) unstable; urgency=low

  * new upstream release
  * acknowledge NMU (closes: #670693), thanks to Jari Aalto
  * switch to 3.0 quilt packaging format, the +dfsg repackaging
    of upstream source is not needed anymore
  * provide pdlapi-$version virtual package to keep binary extension
    modules from breaking silently
  * introduce dh_pdl providing ${pdl:Depends} for extension packages
  * use dpkg-buildflags in debian/rules to determine flags
  * link with --as-needed to avoid spurious dependencies
  * switch to dh_auto_configure to call EU::MM with the proper flags
  * read LDFLAGS and FFLAGS in f77conf.pl from env
  * depend on newer dpkg-dev due to buildflags options

pdl (1:2.4.10+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix duplicate-in-relation-field libastro-fits-header-perl (Lintian).
  * Fix unused-override (Lintian).

Date: Sat, 09 Jun 2012 15:36:15 +0200
Changed-By: Julian Taylor <jtaylor at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/quantal/+source/pdl/1:2.4.11-4ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Jun 2012 15:36:15 +0200
Source: pdl
Binary: pdl
Architecture: source
Version: 1:2.4.11-4ubuntu1
Distribution: quantal
Urgency: low
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Julian Taylor <jtaylor at ubuntu.com>
Description: 
 pdl        - perl data language: Perl extensions for numerics
Closes: 670693
Changes: 
 pdl (1:2.4.11-4ubuntu1) quantal; urgency=low
 .
   * Merge from Debian unstable.  Remaining changes:
     - debian/perldl.conf: Enabled bad-val as NAN
 .
 pdl (1:2.4.11-4) unstable; urgency=low
 .
   * fix pdl versioned dep in dh_pdl
 .
 pdl (1:2.4.11-3) unstable; urgency=low
 .
   * fix the building of pdl wrapper
   * set -fPIC when compiling fortran extensions
 .
 pdl (1:2.4.11-2) unstable; urgency=low
 .
   * fix calls to croak in Lib/GIS/Proj/Proj.pd and IO/GD/GD.pd (croak was
     not called with a format string literal, causing
     -Werror=format-security to abort the compilation)
 .
 pdl (1:2.4.11-1) unstable; urgency=low
 .
   * new upstream release
   * acknowledge NMU (closes: #670693), thanks to Jari Aalto
   * switch to 3.0 quilt packaging format, the +dfsg repackaging
     of upstream source is not needed anymore
   * provide pdlapi-$version virtual package to keep binary extension
     modules from breaking silently
   * introduce dh_pdl providing ${pdl:Depends} for extension packages
   * use dpkg-buildflags in debian/rules to determine flags
   * link with --as-needed to avoid spurious dependencies
   * switch to dh_auto_configure to call EU::MM with the proper flags
   * read LDFLAGS and FFLAGS in f77conf.pl from env
   * depend on newer dpkg-dev due to buildflags options
 .
 pdl (1:2.4.10+dfsg-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
   * Update to Standards-Version to 3.9.3 and debhelper to 9.
   * Add build-arch and build-indep targets; use dh_prep in rules file.
   * Fix copyright-refers-to-symlink-license (Lintian).
   * Fix duplicate-in-relation-field libastro-fits-header-perl (Lintian).
   * Fix unused-override (Lintian).
Checksums-Sha1: 
 a653c001b758cb0df5ff8e909c637c5d4b9c1bee 2180 pdl_2.4.11-4ubuntu1.dsc
 c9fa6ea585c09bf6f9e1e9a0370c985894cfe0c1 2859537 pdl_2.4.11.orig.tar.gz
 ecf555b39475408b07953a981edce41d5c75e2d4 23534 pdl_2.4.11-4ubuntu1.debian.tar.gz
Checksums-Sha256: 
 f8daae5934b834a9a141af6102424321eb5ab62b9651bdeca61a0b9b03c63efa 2180 pdl_2.4.11-4ubuntu1.dsc
 c777ed2519d73ebde0d870e94931a2d2c57865abcee27dfec53f4412a2cac662 2859537 pdl_2.4.11.orig.tar.gz
 0f0d57470162a21ae74ecf6371112f1cc3fcf70bb71975a75c89efaa9e7ee976 23534 pdl_2.4.11-4ubuntu1.debian.tar.gz
Files: 
 a150e6ad06525ae2797a0dc59a0ba697 2180 math optional pdl_2.4.11-4ubuntu1.dsc
 761a524f6f823ecc2dc668b83ecd8299 2859537 math optional pdl_2.4.11.orig.tar.gz
 980667ae26990baa6b2226076bd44fb2 23534 math optional pdl_2.4.11-4ubuntu1.debian.tar.gz
Original-Maintainer: Henning Glawe <glaweh at debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJP01YUAAoJEDLMSqwCh1b/9QAP/2C2X8tOhKZv/GZ0vayZtaR6
Pe81rxrS03odgCtU61bqfQthn7LISQWsOfxGXsjnL1bX0Sa4lxHCgn1XxnWMMfIH
BzLX4cmb/0VoMAWkptg9VjFZY4v52on4QE2sOdQF80F754oQk/OZp6lc2hObLbWQ
iEatnwJcaAlQoThyiS1hp2iTQssEJpaji/rmIVPDfSB5Md2hXZGZBvYy8fAoWCID
bnPMl9vu44enE0iuxWrwqeHk4/VqK4bsliGSF8VgmR8J4A7wp1ZKQkbXze0dnvCF
vvdfsIghPVNUMiAees5oSS0elzX65Si18o7EUDhG6mQsR2R4iddp08ic9GAxsF9P
YNaZIdz24xWd+DS0D09kAhSB8fNvZknERhM7Qr513FZmh4IQzx8ix1ljI33ScRHk
55arrp79D+0WHwevENb10MN4RgsZfEDVyedSc4dpetU6Bbxq/2E5Bb5r5nEhOrcL
2pfxyoduludBh0am/Pedk8XzZcOAjkJ9bXrfVXOGH0rpowuQxoK7NX9+z04J59VN
zwe9tDLoK+kLEFDiv+X/nf1fy8mOCpeBrFO43NAwvJ0WRUF+zDAr+yu6AqVMssvs
C0oMMKiEscylateeYgiZnblH97DtV2pYvziKY2XFg34bOVmQ3BdjTVq87K84DWhs
lmCxaHYsh0wHhnsGpoNX
=mkW4
-----END PGP SIGNATURE-----


More information about the Quantal-changes mailing list